% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/smallpox.abakaliki.1967.R
\docType{data}
\name{smallpox.abakaliki.1967}
\alias{smallpox.abakaliki.1967}
\title{Smallpox cases in Abakaliki, Nigeria in 1967}
\format{A data frame with 32 rows and 8 columns
\describe{
  \item{case.ID}{Case identification number}
  \item{date.of.onset}{Date of onset of symptoms}
  \item{age}{Age in years}
  \item{gender}{Gender: female (f) or male (m) (factor)}
  \item{vaccinated}{Previously vaccinated: no (n) or yes (y) (factor)}
  \item{vaccscar}{Vaccination scar present: no (n) or yes (y) (factor)}
  \item{ftc}{Member of the Faith Tabernacle: no (n) or yes (y) (factor)}
  \item{compound}{Compound number (factor)}
}}
\source{
\url{http://apps.who.int/iris/bitstream/10665/67462/1/WHO_SE_68.3.pdf}
}
\usage{
smallpox.abakaliki.1967
}
\description{
These data comprise of 32 cases of smallpox in Abakaliki, Nigeria in 1967, first described
by Thompson and Foege (1968), which occurred predominantly in a religious group that
refused medical interventions.
}
\examples{
## show first few cases
head(smallpox.abakaliki.1967)

}
\author{
Data from Thompson and Foege (1968).
Transfer to R and documentation by Simon Frost \cr
(\email{sdwfrost@gmail.com}).
}
\references{
D. Thompson and W. Foege. 1968. Faith Tabernacle smallpox epidemic.
Abakaliki, Nigeria. World Health Organization, 3:1–9
}
\keyword{datasets}

